import { Point2D } from './Point2D';
export declare class Rectangle {
    x: number;
    y: number;
    right: number;
    bottom: number;
    constructor(x: number, y: number, width: number, height: number);
    left: number;
    top: number;
    height: number;
    width: number;
    /**
     * Check if this rectangle intersects another rectangle
     * @param rect
     */
    intersects(rect: Rectangle): boolean;
    /**
     * Check if this rectangle contains a point.
     * @param point
     */
    contains(point: Point2D): boolean;
}
